# Generated from junos-space-api-0.2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name junos-space-api

Name: rubygem-%{gem_name}
Version: 0.2.3
Release: 1%{?dist}
Summary: Interact with the Junos Space REST API
License: MIT
URL: https://github.com/scottdware/junos-ruby-space-api
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
This gem is used to interact with Juniper Networks Junos Space management
platform using the REST API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/junos-space-api-0.2.1.gem
%{gem_instdir}/junos-space-api-0.2.2.gem
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/examples
%{gem_instdir}/junos-space-api.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.3-1
- Initial package
